package command;

import com.adobe.cairngorm.commands.ICommand;
import com.adobe.cairngorm.control.CairngormEvent;
import control.RiderSelectEvent;
import model.AppModelLocator;

class RiderSelectCommand implements ICommand {
	private var model = AppModelLocator.getInstance();

	public function execute(ce:CairngormEvent):Void {
		// set the selectedRider property in the model locator with the details from the ListView item selected by user
		model.selectedRider = cast(ce, RiderSelectEvent).selectedRider;
	}
}